<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:28 CEST 2019 -->
<title>FBConnectionRequestInfo (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBConnectionRequestInfo (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../org/firebirdsql/jca/FBIncorrectXidException.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/FBConnectionRequestInfo.html" target="_top">Frames</a></li>
<li><a href="FBConnectionRequestInfo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jca</div>
<h2 title="Class FBConnectionRequestInfo" class="title">Class FBConnectionRequestInfo</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jca.FBConnectionRequestInfo</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;, javax.resource.cci.ConnectionSpec, javax.resource.spi.ConnectionRequestInfo, <a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl">DatabaseParameterBufferExtension</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBConnectionRequestInfo</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl">DatabaseParameterBufferExtension</a>, javax.resource.spi.ConnectionRequestInfo, javax.resource.cci.ConnectionSpec, <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a></pre>
<div class="block">The class <code>FBConnectionRequestInfo</code> holds a clumplet that is
 used to store and transfer connection-specific information such as user,
 password, and other dpb information..</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a>, <a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#org.firebirdsql.jca.FBConnectionRequestInfo">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.impl.DatabaseParameterBufferExtension">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.impl.<a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl">DatabaseParameterBufferExtension</a></h3>
<code><a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#BLOB_BUFFER_SIZE">BLOB_BUFFER_SIZE</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#COLUMN_LABEL_FOR_NAME">COLUMN_LABEL_FOR_NAME</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#DB_CRYPT_CONFIG">DB_CRYPT_CONFIG</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#EXTENSION_PARAMETERS">EXTENSION_PARAMETERS</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#FILENAME_CHARSET">FILENAME_CHARSET</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#GENERATED_KEYS_ENABLED">GENERATED_KEYS_ENABLED</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#IGNORE_PROCEDURE_TYPE">IGNORE_PROCEDURE_TYPE</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#LOCAL_ENCODING">LOCAL_ENCODING</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#MAPPING_PATH">MAPPING_PATH</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#NO_RESULT_SET_TRACKING">NO_RESULT_SET_TRACKING</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#OCTETS_AS_BYTES">OCTETS_AS_BYTES</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#PARANOIA_MODE">PARANOIA_MODE</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#RESULT_SET_HOLDABLE">RESULT_SET_HOLDABLE</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#SO_TIMEOUT">SO_TIMEOUT</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#SOCKET_BUFFER_SIZE">SOCKET_BUFFER_SIZE</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#TIMESTAMP_USES_LOCAL_TIMEZONE">TIMESTAMP_USES_LOCAL_TIMEZONE</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#USE_FIREBIRD_AUTOCOMMIT">USE_FIREBIRD_AUTOCOMMIT</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#USE_STANDARD_UDF">USE_STANDARD_UDF</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#USE_STREAM_BLOBS">USE_STREAM_BLOBS</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#WIRE_CRYPT_LEVEL">WIRE_CRYPT_LEVEL</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.DatabaseParameterBuffer">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></h3>
<code><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ACTIVATE_SHADOW">ACTIVATE_SHADOW</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ADDRESS_PATH">ADDRESS_PATH</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ALLOCATION">ALLOCATION</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#BEGIN_LOG">BEGIN_LOG</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#BUFFER_LENGTH">BUFFER_LENGTH</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#CACHE_MANAGER">CACHE_MANAGER</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#CDD_PATHNAME">CDD_PATHNAME</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#CONNECT_TIMEOUT">CONNECT_TIMEOUT</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DAMAGED">DAMAGED</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DBKEY_SCOPE">DBKEY_SCOPE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DEBUG">DEBUG</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DELETE_SHADOW">DELETE_SHADOW</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DISABLE_JOURNAL">DISABLE_JOURNAL</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DISABLE_WAL">DISABLE_WAL</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DROP_WALFILE">DROP_WALFILE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#DUMMY_PACKET_INTERVAL">DUMMY_PACKET_INTERVAL</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ENABLE_JOURNAL">ENABLE_JOURNAL</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ENCRYPT_KEY">ENCRYPT_KEY</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#FORCE_WRITE">FORCE_WRITE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GARBAGE_COLLECT">GARBAGE_COLLECT</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GBAK_ATTACH">GBAK_ATTACH</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GFIX_ATTACH">GFIX_ATTACH</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GSEC_ATTACH">GSEC_ATTACH</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#GSTAT_ATTACH">GSTAT_ATTACH</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#INTERP">INTERP</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#JOURNAL">JOURNAL</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#LC_CTYPE">LC_CTYPE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#LC_MESSAGES">LC_MESSAGES</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#LICENSE">LICENSE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NO_DB_TRIGGERS">NO_DB_TRIGGERS</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NO_GARBAGE_COLLECT">NO_GARBAGE_COLLECT</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NO_RESERVE">NO_RESERVE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NUM_BUFFERS">NUM_BUFFERS</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#NUMBER_OF_USERS">NUMBER_OF_USERS</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_DUMP_ID">OLD_DUMP_ID</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_FILE">OLD_FILE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_FILE_SIZE">OLD_FILE_SIZE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_NUM_FILES">OLD_NUM_FILES</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_START_FILE">OLD_START_FILE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_START_PAGE">OLD_START_PAGE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OLD_START_SEQNO">OLD_START_SEQNO</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ONLINE">ONLINE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#ONLINE_DUMP">ONLINE_DUMP</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#OVERWRITE">OVERWRITE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PAGE_SIZE">PAGE_SIZE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PASSWORD">PASSWORD</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PASSWORD_ENC">PASSWORD_ENC</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PROCESS_ID">PROCESS_ID</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#PROCESS_NAME">PROCESS_NAME</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#QUIT_LOG">QUIT_LOG</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#RESERVED">RESERVED</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SEC_ATTACH">SEC_ATTACH</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_DB_CHARSET">SET_DB_CHARSET</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_DB_READONLY">SET_DB_READONLY</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_DB_SQL_DIALECT">SET_DB_SQL_DIALECT</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SET_PAGE_BUFFERS">SET_PAGE_BUFFERS</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SHUTDOWN">SHUTDOWN</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SHUTDOWN_DELAY">SHUTDOWN_DELAY</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SQL_DIALECT">SQL_DIALECT</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SQL_ROLE_NAME">SQL_ROLE_NAME</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SWEEP">SWEEP</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SWEEP_INTERVAL">SWEEP_INTERVAL</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SYS_USER_NAME">SYS_USER_NAME</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#SYS_USER_NAME_ENC">SYS_USER_NAME_ENC</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#TRACE">TRACE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#TRUSTED_AUTH">TRUSTED_AUTH</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#USER">USER</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#USER_NAME">USER_NAME</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#VERIFY">VERIFY</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_BACKUP_DIR">WAL_BACKUP_DIR</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_BUFSIZE">WAL_BUFSIZE</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_CHKPTLEN">WAL_CHKPTLEN</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_GRP_CMT_WAIT">WAL_GRP_CMT_WAIT</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WAL_NUMBUFS">WAL_NUMBUFS</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#WORKING_DIRECTORY">WORKING_DIRECTORY</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#FBConnectionRequestInfo-org.firebirdsql.gds.DatabaseParameterBuffer-">FBConnectionRequestInfo</a></span>(<a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#addArgument-int-">addArgument</a></span>(int&nbsp;argumentType)</code>
<div class="block">Add argument with no parameters.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#addArgument-int-byte:A-">addArgument</a></span>(int&nbsp;argumentType,
           byte[]&nbsp;content)</code>
<div class="block">Add array of bytes.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#addArgument-int-int-">addArgument</a></span>(int&nbsp;argumentType,
           int&nbsp;value)</code>
<div class="block">Add integer argument.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#addArgument-int-long-">addArgument</a></span>(int&nbsp;argumentType,
           long&nbsp;value)</code>
<div class="block">Add long argument.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#addArgument-int-java.lang.String-">addArgument</a></span>(int&nbsp;argumentType,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Add string argument with the default encoding.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a></span>(int&nbsp;argumentType,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value,
           <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</code>
<div class="block">Add string argument.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#deepCopy--">deepCopy</a></span>()</code>
<div class="block">Perform a deep copy of this object, returning the copied instance.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#equals-java.lang.Object-">equals</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#getArgumentAsInt-int-">getArgumentAsInt</a></span>(int&nbsp;argumentType)</code>
<div class="block">Get argument as int.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#getArgumentAsString-int-">getArgumentAsString</a></span>(int&nbsp;argumentType)</code>
<div class="block">Get argument as string.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#getDefaultEncoding--">getDefaultEncoding</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#getDpb--">getDpb</a></span>()</code>
<div class="block">Get the underlying Database Parameter Buffer for this object.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/ParameterTagMapping.html" title="enum in org.firebirdsql.gds">ParameterTagMapping</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#getTagMapping--">getTagMapping</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#getType--">getType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#hasArgument-int-">hasArgument</a></span>(int&nbsp;argumentType)</code>
<div class="block">Check if this parameter buffer has specified argument.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#iterator--">iterator</a></span>()</code>
<div class="block">Returns an iterator over a copy of the parameters in this parameter buffer.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#removeArgument-int-">removeArgument</a></span>(int&nbsp;argumentType)</code>
<div class="block">Remove specified argument.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#removeExtensionParams--">removeExtensionParams</a></span>()</code>
<div class="block">Remove extension parameters in the newly created deep copy of this class.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#setPassword-java.lang.String-">setPassword</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#setUserName-java.lang.String-">setUserName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userName)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#size--">size</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#toBytes--">toBytes</a></span>()</code>
<div class="block">Converts this parameter buffer to a byte array.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#toBytesWithType--">toBytesWithType</a></span>()</code>
<div class="block">Converts this parameter buffer to a byte array with type information.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/impl/wire/Xdrable.html" title="interface in org.firebirdsql.gds.impl.wire">Xdrable</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#toXdrable--">toXdrable</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)</code>
<div class="block">Writes the arguments in the implementation specific serialization into the <code>OutputStream</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBConnectionRequestInfo-org.firebirdsql.gds.DatabaseParameterBuffer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBConnectionRequestInfo</h4>
<pre>public&nbsp;FBConnectionRequestInfo(<a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="deepCopy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deepCopy</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;deepCopy()</pre>
<div class="block">Perform a deep copy of this object, returning the copied instance.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html#deepCopy--">deepCopy</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A deep-copied copy of this FBConnectionRequestInfo object</dd>
</dl>
</li>
</ul>
<a name="getDpb--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDpb</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;getDpb()</pre>
<div class="block">Get the underlying Database Parameter Buffer for this object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The underlying dpb for this object</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>public&nbsp;void&nbsp;addArgument(int&nbsp;argumentType,
                        byte[]&nbsp;content)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-byte:A-">ParameterBuffer</a></code></span></div>
<div class="block">Add array of bytes.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-byte:A-">addArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
<dd><code>content</code> - content of argument.</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>public&nbsp;void&nbsp;addArgument(int&nbsp;argumentType,
                        int&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-int-">ParameterBuffer</a></code></span></div>
<div class="block">Add integer argument.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-int-">addArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
<dd><code>value</code> - integer value to add.</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>public&nbsp;void&nbsp;addArgument(int&nbsp;argumentType,
                        long&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-long-">ParameterBuffer</a></code></span></div>
<div class="block">Add long argument.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-long-">addArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
<dd><code>value</code> - long value to add.</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>public&nbsp;void&nbsp;addArgument(int&nbsp;argumentType,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-">ParameterBuffer</a></code></span></div>
<div class="block">Add string argument with the default encoding.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-">addArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
<dd><code>value</code> - string value to add.</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>public&nbsp;void&nbsp;addArgument(int&nbsp;argumentType,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value,
                        <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">ParameterBuffer</a></code></span></div>
<div class="block">Add string argument.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
<dd><code>value</code> - string value to add.</dd>
<dd><code>encoding</code> - encoding to use for conversion to bytes</dd>
</dl>
</li>
</ul>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public&nbsp;int&nbsp;getType()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getType--">getType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The parameter buffer type identifier</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>public&nbsp;void&nbsp;addArgument(int&nbsp;argumentType)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-">ParameterBuffer</a></code></span></div>
<div class="block">Add argument with no parameters.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-">addArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
</dl>
</li>
</ul>
<a name="getArgumentAsInt-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgumentAsInt</h4>
<pre>public&nbsp;int&nbsp;getArgumentAsInt(int&nbsp;argumentType)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsInt-int-">ParameterBuffer</a></code></span></div>
<div class="block">Get argument as int.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsInt-int-">getArgumentAsInt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument to find.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>argument as string or <code>0</code> if nothing found.</dd>
</dl>
</li>
</ul>
<a name="getArgumentAsString-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgumentAsString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getArgumentAsString(int&nbsp;argumentType)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsString-int-">ParameterBuffer</a></code></span></div>
<div class="block">Get argument as string.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsString-int-">getArgumentAsString</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument to find.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>argument as string or <code>null</code> if nothing found.</dd>
</dl>
</li>
</ul>
<a name="hasArgument-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasArgument</h4>
<pre>public&nbsp;boolean&nbsp;hasArgument(int&nbsp;argumentType)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#hasArgument-int-">ParameterBuffer</a></code></span></div>
<div class="block">Check if this parameter buffer has specified argument.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#hasArgument-int-">hasArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument to find.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this buffer contains specified argument.</dd>
</dl>
</li>
</ul>
<a name="removeArgument-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeArgument</h4>
<pre>public&nbsp;void&nbsp;removeArgument(int&nbsp;argumentType)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#removeArgument-int-">ParameterBuffer</a></code></span></div>
<div class="block">Remove specified argument.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#removeArgument-int-">removeArgument</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument to remove.</dd>
</dl>
</li>
</ul>
<a name="removeExtensionParams--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeExtensionParams</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;removeExtensionParams()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#removeExtensionParams--">DatabaseParameterBufferExtension</a></code></span></div>
<div class="block">Remove extension parameters in the newly created deep copy of this class.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#removeExtensionParams--">removeExtensionParams</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl">DatabaseParameterBufferExtension</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a deep copy of this class where all extension parameters are 
 removed; needed to filter Jaybird extensions that are not understood by
 Firebird.</dd>
</dl>
</li>
</ul>
<a name="iterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iterator</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;&nbsp;iterator()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#iterator--">ParameterBuffer</a></code></span></div>
<div class="block">Returns an iterator over a copy of the parameters in this parameter buffer.
 <p>
 It is safe to iterate over this iterator while modifying the parameter buffer. Changes will not be reflected in
 the iterator.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#iterator--" title="class or interface in java.lang">iterator</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#iterator--">iterator</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Iterator over the parameters in this parameter buffer.</dd>
</dl>
</li>
</ul>
<a name="writeArgumentsTo-java.io.OutputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeArgumentsTo</h4>
<pre>public&nbsp;void&nbsp;writeArgumentsTo(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#writeArgumentsTo-java.io.OutputStream-">ParameterBuffer</a></code></span></div>
<div class="block">Writes the arguments in the implementation specific serialization into the <code>OutputStream</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>outputStream</code> - The <code>OutputStream</code> to write to</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - Errors produced by the output stream during writes</dd>
</dl>
</li>
</ul>
<a name="toXdrable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toXdrable</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/impl/wire/Xdrable.html" title="interface in org.firebirdsql.gds.impl.wire">Xdrable</a>&nbsp;toXdrable()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toXdrable--">toXdrable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>Xdrable</code> to write (and optionally read) this instance as Xdr.</dd>
</dl>
</li>
</ul>
<a name="toBytes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toBytes</h4>
<pre>public&nbsp;byte[]&nbsp;toBytes()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--">ParameterBuffer</a></code></span></div>
<div class="block">Converts this parameter buffer to a byte array.
 <p>
 This byte array includes the extra header-bytes (if any), but does not include the type information
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--">toBytes</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Byte array with serialization of this parameter buffer</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--"><code>ParameterBuffer.toBytesWithType()</code></a></dd>
</dl>
</li>
</ul>
<a name="toBytesWithType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toBytesWithType</h4>
<pre>public&nbsp;byte[]&nbsp;toBytesWithType()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--">ParameterBuffer</a></code></span></div>
<div class="block">Converts this parameter buffer to a byte array with type information.
 <p>
 This byte array includes the type information and the extra header bytes (if any).
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--">toBytesWithType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Byte array with serialization of this parameter buffer</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--"><code>ParameterBuffer.toBytes()</code></a></dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>public&nbsp;int&nbsp;size()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#size--">size</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of parameters stored.</dd>
</dl>
</li>
</ul>
<a name="setUserName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUserName</h4>
<pre>public&nbsp;void&nbsp;setUserName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userName)</pre>
</li>
</ul>
<a name="setPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>public&nbsp;void&nbsp;setPassword(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>equals</code>&nbsp;in interface&nbsp;<code>javax.resource.spi.ConnectionRequestInfo</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>hashCode</code>&nbsp;in interface&nbsp;<code>javax.resource.spi.ConnectionRequestInfo</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="getTagMapping--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTagMapping</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/ParameterTagMapping.html" title="enum in org.firebirdsql.gds">ParameterTagMapping</a>&nbsp;getTagMapping()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html#getTagMapping--">getTagMapping</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The tag mapping.</dd>
</dl>
</li>
</ul>
<a name="getDefaultEncoding--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDefaultEncoding</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getDefaultEncoding()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html#getDefaultEncoding--">getDefaultEncoding</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The default encoding of string properties in this parameter buffer.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../org/firebirdsql/jca/FBIncorrectXidException.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/FBConnectionRequestInfo.html" target="_top">Frames</a></li>
<li><a href="FBConnectionRequestInfo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
